<!--
 * @Date: 2024-05-20 21:43:10
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-26 22:17:43
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/log/index.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <el-container>
                <el-header>

                </el-header>
                <el-main>
                    <scTable highlight-current-row @dataChange="dataChange" @row-click="rowClick" ref="table"
                        :params="params" :apiObj="apiObj" @selection-change="selectionChange" stripe>
                        <el-table-column type="selection" width="50"></el-table-column>
                        <el-table-column label="文件名称" prop="name">
                        </el-table-column>
                        <el-table-column label="版本" prop="allPathName"></el-table-column>
                        <el-table-column label="文件类型" prop="suffix"></el-table-column>
                        <el-table-column label="文件来源" prop="suffix"></el-table-column>
                        <el-table-column label="操作类型" prop="updateTime"></el-table-column>
                        <el-table-column label="源路径" prop="updateTime"></el-table-column>
                        <el-table-column label="目标路径" prop="updateTime"></el-table-column>
                        <el-table-column label="文件位置" prop="updateTime"></el-table-column>
                        <el-table-column label="操作人员" prop="updateTime"></el-table-column>
                        <el-table-column label="操作时间" prop="updateTime"></el-table-column>
                    </scTable>
                </el-main>
            </el-container>
        </el-card>
    </el-main>
</template>

<script>
export default {
    data() {
        return {
            selection: [],
            params: {},
            apiObj: {
                get: async (data) => {
                    let params = {
                        ...data,
                        ...this.params
                    }
                    return await this.$HTTP.get(`/api/blade-dnc/dnc-factory-file/page`, {}, { params }).then(res => {
                        return res
                    })
                }
            },
        }
    },
    methods: {
        selectionChange(selection) {
            this.selection = selection
        },
        del(selection) {

        },
        table_edit() {

        },
        rowClick() {

        },
        dataChange() {

        }
    }
}
</script>

<style lang="scss" scoped></style>